float4x4 view_proj_matrix;

struct VS_OUTPUT
{
   float4 Pos:     POSITION;
   float2 Tex:     TEXCOORD0;
   float2 Tex1:     TEXCOORD1;
   float4 col : COLOR;
};

VS_OUTPUT vs_main( float4 inPos: POSITION, float2 inTex: TEXCOORD0, float2 inTex1 : TEXCOORD1)
{
	VS_OUTPUT Out;

    Out.Pos = mul(view_proj_matrix, inPos);

	Out.Tex = inTex;
Out.Tex1 = inTex;
Out.col = float4(1,1,1,1);

    return Out;
}

