// Try to figure THIS one out... ;)

float4x4 view_proj_matrix;
float4x4 view_matrix;

float4x3 boneMats[30];

struct VS_OUTPUT 
{
   float4 Pos:  POSITION;
   float2 Tex : TEXCOORD0;
   float4 col : COLOR;
};

VS_OUTPUT vs_main( float4 inPos: POSITION, float4 Bw : TEXCOORD2, float4 Bi : TEXCOORD1,
float4 inTex0 : TEXCOORD0, float3 inNorm : NORMAL )
{
	VS_OUTPUT Out;

	float BiArray[4] = (float[4])Bi;
	float BlendWeightsArray[4] = (float[4])Bw;
   
   float3 accumulator = (0,0,0);
   float3 accumNorm = (0,0,0);

   for (int i = 0; i <= 3; i++)
   {
      // first, the quaternion math.
      float boneIDX = BiArray[i];

      float3 temp = mul(inPos, boneMats[boneIDX]);
      temp *= BlendWeightsArray[i];

      accumulator.xyz += temp.xyz;
   }
   
   Out.Pos = mul(view_proj_matrix, float4(accumulator,1));
   Out.Tex = inTex0;
   Out.col = Bi;
      
   return Out;
}



// ----------------- BEGIN PIXEL SHADER CONSTANTS -------------------

sampler baseMap : register(s0);
float3 dlightColor;
float3 dlightPos;
float3 ambient;
float specularPower;

float4 ps_main( 
             float2 Tex    : TEXCOORD0) : COLOR
{
float4 color;
   
        color.xyz = 0;
        color.w = 1;

        return color;
}


